# Cloud provider integration endpoints

## List integrations

**Endpoint:** `get/beta/v1/org/{org_id}/integrations`

Returns all active cloud provider integrations for the organization.

### Path parameters
- `org_id`: string · uuid **Required**

### Responses

- **200 OK**
  - **Content-Type:** application/json  
  - **Response body:**  
    - `id`: string **Optional** — Integration identifier  
    - `provider`: string · enum **Optional** — Cloud provider (aws, azure, gcp)  
        - Possible values: `aws`, `azure`, `gcp`  
    - `name`: string · nullable **Optional** — Integration name  
    - `provider_organization_id`: string · nullable **Optional** — Cloud-provider organization/tenant identifier (AWS Organizations ID, Azure tenant ID, GCP organization ID).  
    - `active`: boolean **Optional** — Whether this integration has active credentials  
    - `currency`: string · nullable **Optional** — Billing currency (e.g. 'USD')  
    - `data_available_since`: string · date-time · nullable **Optional** — Earliest date cost data is available from this integration  
    - `data_available_until`: string · date-time · nullable **Optional** — Latest date cost data is available from this integration

- **400 Bad request**
- **401 Unauthorized**
- **403 Forbidden**
- **404 Not found**
- **405 Method not allowed**
- **409 Conflict**
- **500 Internal server error**
- **default** Default error response

### Example request

```
GET /beta/v1/org/{org_id}/integrations HTTP/1.1
Accept: */*
```

### Example response

```
[
  {
    "id": "text",
    "provider": "aws",
    "name": "text",
    "provider_organization_id": "text",
    "active": true,
    "currency": "text",
    "data_available_since": "2026-07-27T19:48:09.546Z",
    "data_available_until": "2026-07-27T19:48:09.546Z"
  }
]
```

## Get integration details

**Endpoint:** `get/beta/v1/org/{org_id}/integrations/{integration_id}`

Returns details for a single integration including its cloud accounts.

### Path parameters
- `org_id`: string · uuid **Required**  
- `integration_id`: string · uuid **Required**

### Responses

### Example request

```
GET /beta/v1/org/{org_id}/integrations/{integration_id} HTTP/1.1
Accept: */*
```

### Example response

```
{
  "id": "text",
  "provider": "aws",
  "name": "text",
  "provider_organization_id": "text",
  "active": true,
  "currency": "text",
  "data_available_since": "2026-07-27T19:48:09.546Z",
  "data_available_until": "2026-07-27T19:48:09.546Z",
  "accounts": null
}
```
